[IPython-user] [IPython-dev] IPython 0.8.2 and PyReadline 1.5, getting ready for release...

Fernando Perez fperez.net@gmail....
Sun Nov 25 21:30:41 CST 2007


On Nov 25, 2007 12:32 PM, Fernando Perez <fperez.net@gmail.com> wrote:

> I used to be an XEmacs guy and had used this on and off without any
> problems, but I haven't used XEmacs for a few months (since I switched
> to CVS emacs for the font support).  Now I just noticed that while
> XEmacs seems to load ipython just fine, it won't connect to the X
> server for matplotlib use (my default mode loads ipython -pylab).  I
> have no idea why emacs is OK with X11 but not XEmacs, I'd never seen
> the error before.

Just to clarify: I've realized the problem was not with XEmacs.
Instead, my X11 session decided to stop accepting new connections, and
XEmacs was the first program that happened to throw the error:

Xlib: connection to ":0.0" refused by server
Xlib: Maximum number of clients reached
Error: Can't open display: :0

Later I realized that *nothing* was working (meaning, no new X11
programs could be started), and I just happened to blame Xemacs for
the failure by coincidence.

I'd never seen that in my life, and I had to do a full X11 restart so
I could open new programs.  I just started using Gutsy a few days ago,
and I'm seeing a few funny things here and there...

Anyway, the summary is that on gutsy, both XEmacs and Emacs23 are OK
with ipython. Emacs22 has a problem with python-mode.el, but there are
known workarounds for that (and the problem has nothing to do with
ipython).

Cheers,

f


More information about the IPython-user mailing list